Ace::Graphics::Glyph::arrow(3pm)

NAME
Ace::Graphics::Glyph::arrow - The "arrow" glyph

SYNOPSIS
  See L<Ace::Graphics::Panel> and L<Ace::Graphics::Glyph>.

DESCRIPTION
This glyph draws arrows. Depending on options, the arrows can be labeled, be oriented vertically or horizontally, or can contain major and minor ticks suitable for use as a scale.

  OPTIONS
In addition to the common options, the following glyph-specific options are recognized:

  Option      Description               Default
  ------      -----------               -------

  -tick       Whether to draw major       0
              and minor ticks.
              0 = no ticks
              1 = major ticks
              2 = minor ticks

  -parallel   Whether to draw the arrow   true
              parallel to the sequence
              or perpendicular to it.

  -northeast  Whether to draw the         true
              north or east arrowhead
              (depending on orientation)

  -southwest  Whether to draw the         true
              south or west arrowhead
              (depending on orientation)

Set -parallel to false to display a point-like feature such as a polymorphism, or to indicate an important location. If the feature start == end, then the glyph will draw a single arrow at the designated location:

       ^
       |

Otherwise, there will be two arrows at the start and end:

       ^              ^
       |              |

BUGS
Please report them.

SEE ALSO
Ace::Sequence, Ace::Sequence::Feature, Ace::Graphics::Panel, Ace::Graphics::Track, Ace::Graphics::Glyph::anchored_arrow, Ace::Graphics::Glyph::arrow, Ace::Graphics::Glyph::box, Ace::Graphics::Glyph::primers, Ace::Graphics::Glyph::segments, Ace::Graphics::Glyph::toomany, Ace::Graphics::Glyph::transcript,

AUTHOR
Lincoln Stein <lstein@cshl.org>.

Copyright (c) 2001 Cold Spring Harbor Laboratory

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself. See DISCLAIMER.txt for disclaimers of warranty.